## skanlite 21.08.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "21")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "1")

set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

set(SKANLITE_VERSION_STRING "${RELEASE_SERVICE_VERSION}")

project(skanlite VERSION ${RELEASE_SERVICE_VERSION})

set(REQUIRED_QT_VERSION "5.14.0")
set(KF5_MIN_VERSION "5.79.0")

# ECM setup (Extended Cmake Modules)
find_package(ECM ${KF5_MIN_VERSION} QUIET REQUIRED NO_MODULE)
# ECM setup2 and include find same cmake module (copied from /usr/share/kde4/apps/cmake/modules/FindSane.cmake)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_SOURCE_DIR}/cmake-modules)

include(FeatureSummary)
include(ECMSetupVersion) # yiels ecm_setup_version
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(CheckFunctionExists)
include(KDEInstallDirs) # yields ${XDG_APPS_INSTALL_DIR}
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(GenerateExportHeader)
include(ECMQtDeclareLoggingCategory)

# be not so strict with the poor developer who just wants to use strings
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)

ecm_setup_version(
  ${SKANLITE_VERSION_STRING}
  VARIABLE_PREFIX SKANLITE
  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/skanlite_version.h"
)

# Dependencies
find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Core Widgets)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
        CoreAddons # KAboutData
        DocTools # yields kdoctools_create_handbook
        I18n
        KIO # contains the KIOWidgets which we use in target_link_libraries
        XmlGui # KAboutApplicationDialog
)

find_package(KF5Sane ${RELEASE_SERVICE_VERSION} REQUIRED)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

# Subdirectories
add_subdirectory(src)
add_subdirectory(doc)
add_subdirectory(autotests)
add_subdirectory(tests)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== src/CMakeLists.txt ===
set(skanlite_SRCS main.cpp skanlite.cpp ImageViewer.cpp showimagedialog.cpp SkanliteImageSaver.cpp SaveLocation.cpp DBusInterface.cpp)

ki18n_wrap_ui(skanlite_SRCS settings.ui SaveLocation.ui)

ecm_qt_declare_logging_category(skanlite_SRCS
  HEADER skanlite_debug.h
  IDENTIFIER SKANLITE_LOG
  CATEGORY_NAME org.kde.skanlite
)

#kde4_add_app_icon(skanlite_SRCS "${KDE4_INSTALL_DIR}/share/icons/oxygen/*/devices/scanner.png")

add_executable(skanlite ${skanlite_SRCS})

target_link_libraries(skanlite
  PUBLIC
    Qt5::Core
  PRIVATE
    KF5::CoreAddons
    KF5::Sane
    KF5::I18n
    KF5::XmlGui
    KF5::KIOWidgets
)

install(TARGETS skanlite ${INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.skanlite.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install( FILES org.kde.skanlite.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== debian/changelog ===
skanlite (21.08.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release within KDE Gears (21.08.1).
  * Update watch file.
  * Add upstream signing key.
  * Removed Mark Purcell from the uploaders, thanks for your work on the
    package!
  * Add myself to uploaders.
  * Bump standards version, no changes necessary.
  * Change maintainer to Debian Qt/KDE Maintainers.
  * Update build-dependencies according to cmake.

 -- Norbert Preining <norbert@preining.info>  Fri, 03 Sep 2021 11:13:28 +0900

=== debian/control ===
Source: skanlite
Section: graphics
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Kai Wasserbäch <curan@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.79.0~),
               gettext,
               libkf5coreaddons-dev (>= 5.79.0~),
               libkf5doctools-dev (>= 5.79.0~),
               libkf5i18n-dev (>= 5.79.0~),
               libkf5kio-dev (>= 5.79.0~),
               libkf5sane-dev (>= 21.08.1~),
               libkf5xmlgui-dev (>= 5.79.0~),
               libpng-dev,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.14.0~),
Standards-Version: 4.6.0
Homepage: https://kde.org/applications/graphics/org.kde.skanlite
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/skanlite.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/skanlite
Rules-Requires-Root: no

Package: skanlite
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: image scanner based on the KSane backend
 Skanlite is a small and simple scanner application which allows easy scanning
 of images with an attached scanner. Through the KSane backend, it can access
 a wide variety of different scanner models.

## skanlite 21.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "21")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
@@ -50,7 +50,7 @@
         XmlGui # KAboutApplicationDialog
 )
 
-find_package(KF5Sane ${RELEASE_SERVICE_VERSION} REQUIRED)
+find_package(KF5Sane "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}" REQUIRED)
 
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

=== debian/changelog ===
skanlite (21.08.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Vcs-* fields.
  * CI: disable the blhc job.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13

 -- Pino Toscano <pino@debian.org>  Sat, 09 Oct 2021 00:09:35 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Kai Wasserbäch <curan@debian.org>,
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 5.79.0~),
                gettext,
                libkf5coreaddons-dev (>= 5.79.0~),
@@ -19,8 +19,8 @@
                qtbase5-dev (>= 5.14.0~),
 Standards-Version: 4.6.0
 Homepage: https://kde.org/applications/graphics/org.kde.skanlite
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/skanlite.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/skanlite
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/skanlite.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/skanlite
 Rules-Requires-Root: no
 
 Package: skanlite

## skanlite 21.08.3

=== debian/changelog ===
skanlite (21.08.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:49:36 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libkf5doctools-dev (>= 5.79.0~),
                libkf5i18n-dev (>= 5.79.0~),
                libkf5kio-dev (>= 5.79.0~),
-               libkf5sane-dev (>= 21.08.1~),
+               libkf5sane-dev (>= 21.08.3~),
                libkf5xmlgui-dev (>= 5.79.0~),
                libpng-dev,
                pkg-kde-tools (>= 0.15.16),

## skanlite 21.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "21")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "80")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
@@ -29,9 +29,7 @@
 include(KDECMakeSettings)
 include(GenerateExportHeader)
 include(ECMQtDeclareLoggingCategory)
-
-# be not so strict with the poor developer who just wants to use strings
-remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
+include(ECMInstallIcons)
 
 ecm_setup_version(
   ${SKANLITE_VERSION_STRING}
@@ -60,6 +58,8 @@
 add_subdirectory(autotests)
 add_subdirectory(tests)
 
+ecm_install_icons(ICONS 48-apps-org.kde.skanlite.svg DESTINATION ${KDE_INSTALL_ICONDIR})
+
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 ki18n_install(po)
 if (KF5DocTools_FOUND)

## skanlite 21.11.90

=== debian/changelog ===
skanlite (21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:14:49 +0000

skanlite (21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:27:25 +0000

skanlite (21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:33:44 +0000

=== debian/control ===
--- 
+++ 
@@ -12,15 +12,15 @@
                libkf5doctools-dev (>= 5.79.0~),
                libkf5i18n-dev (>= 5.79.0~),
                libkf5kio-dev (>= 5.79.0~),
-               libkf5sane-dev (>= 21.08.3~),
+               libkf5sane-dev (>= 21.11.90~),
                libkf5xmlgui-dev (>= 5.79.0~),
                libpng-dev,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.14.0~),
 Standards-Version: 4.6.0
 Homepage: https://kde.org/applications/graphics/org.kde.skanlite
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/skanlite.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/skanlite
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skanlite
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skanlite
 Rules-Requires-Root: no
 
 Package: skanlite

## skanlite 21.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "21")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "80")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== src/CMakeLists.txt ===
add_executable(skanlite ${skanlite_SRCS})
target_sources(skanlite PRIVATE showimagedialog.cpp
    skanlite.cpp
    ImageViewer.cpp
    DBusInterface.h
    DBusInterface.cpp
    SaveLocation.cpp
    SkanliteImageSaver.cpp
    ImageViewer.h
    skanlite.h
    SkanliteImageSaver.h
    showimagedialog.h
    SaveLocation.h
    main.cpp)

ki18n_wrap_ui(skanlite settings.ui SaveLocation.ui)

ecm_qt_declare_logging_category(skanlite
  HEADER skanlite_debug.h
  IDENTIFIER SKANLITE_LOG
  CATEGORY_NAME org.kde.skanlite
)


target_link_libraries(skanlite
  PUBLIC
    Qt5::Core
  PRIVATE
    KF5::CoreAddons
    KF5::Sane
    KF5::I18n
    KF5::XmlGui
    KF5::KIOWidgets
)

install(TARGETS skanlite ${INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.skanlite.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install( FILES org.kde.skanlite.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== debian/changelog ===
skanlite (21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:32:02 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: skanlite
 Section: graphics
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Kai Wasserbäch <curan@debian.org>,
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
@@ -12,7 +13,7 @@
                libkf5doctools-dev (>= 5.79.0~),
                libkf5i18n-dev (>= 5.79.0~),
                libkf5kio-dev (>= 5.79.0~),
-               libkf5sane-dev (>= 21.11.90~),
+               libkf5sane-dev (>= 21.12.0~),
                libkf5xmlgui-dev (>= 5.79.0~),
                libpng-dev,
                pkg-kde-tools (>= 0.15.16),

## skanlite 21.12.1

=== debian/changelog ===
skanlite (21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:35:02 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libkf5doctools-dev (>= 5.79.0~),
                libkf5i18n-dev (>= 5.79.0~),
                libkf5kio-dev (>= 5.79.0~),
-               libkf5sane-dev (>= 21.12.0~),
+               libkf5sane-dev (>= 21.12.1~),
                libkf5xmlgui-dev (>= 5.79.0~),
                libpng-dev,
                pkg-kde-tools (>= 0.15.16),

## skanlite 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "21")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
skanlite (21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:20:36 +0000

skanlite (21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:27:11 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libkf5doctools-dev (>= 5.79.0~),
                libkf5i18n-dev (>= 5.79.0~),
                libkf5kio-dev (>= 5.79.0~),
-               libkf5sane-dev (>= 21.12.1~),
+               libkf5sane-dev (>= 21.12.3~),
                libkf5xmlgui-dev (>= 5.79.0~),
                libpng-dev,
                pkg-kde-tools (>= 0.15.16),

## skanlite 22.04.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "22")
set (RELEASE_SERVICE_VERSION_MINOR "04")
set (RELEASE_SERVICE_VERSION_MICRO "0")

set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

set(SKANLITE_VERSION_STRING "${RELEASE_SERVICE_VERSION}")

project(skanlite VERSION ${RELEASE_SERVICE_VERSION})

set(REQUIRED_QT_VERSION "5.15.0")
set(KF5_MIN_VERSION "5.90.0")

# ECM setup (Extended Cmake Modules)
find_package(ECM ${KF5_MIN_VERSION} QUIET REQUIRED NO_MODULE)
# ECM setup2 and include find same cmake module (copied from /usr/share/kde4/apps/cmake/modules/FindSane.cmake)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake-modules)

include(KDEInstallDirs) # yields ${XDG_APPS_INSTALL_DIR}
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(FeatureSummary)
include(ECMSetupVersion) # yiels ecm_setup_version
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(CheckFunctionExists)
include(GenerateExportHeader)
include(ECMQtDeclareLoggingCategory)
include(ECMInstallIcons)

ecm_setup_version(
  ${SKANLITE_VERSION_STRING}
  VARIABLE_PREFIX SKANLITE
  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/skanlite_version.h"
)

# Dependencies
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Core Widgets)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
        CoreAddons # KAboutData
        I18n
        KIO # contains the KIOWidgets which we use in target_link_libraries
        XmlGui # KAboutApplicationDialog
)
if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(Qt6Core5Compat)
endif()

find_package(KF5DocTools ${KF5_MIN_VERSION})  # yields kdoctools_create_handbook
set_package_properties(KF5DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)

find_package(KF5Sane "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}" REQUIRED)

add_definitions(
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00
    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800
    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
)

# Subdirectories
add_subdirectory(src)

ki18n_install(po)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()

if(BUILD_TESTING)
   add_subdirectory(autotests)
   add_subdirectory(tests)
endif()
ecm_install_icons(ICONS 48-apps-org.kde.skanlite.svg DESTINATION ${KDE_INSTALL_ICONDIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
skanlite (22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:58:07 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libkf5doctools-dev (>= 5.79.0~),
                libkf5i18n-dev (>= 5.79.0~),
                libkf5kio-dev (>= 5.79.0~),
-               libkf5sane-dev (>= 21.12.3~),
+               libkf5sane-dev (>= 22.04.0~),
                libkf5xmlgui-dev (>= 5.79.0~),
                libpng-dev,
                pkg-kde-tools (>= 0.15.16),

## skanlite 22.04.1

=== debian/changelog ===
skanlite (22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:11:02 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libkf5doctools-dev (>= 5.79.0~),
                libkf5i18n-dev (>= 5.79.0~),
                libkf5kio-dev (>= 5.79.0~),
-               libkf5sane-dev (>= 22.04.0~),
+               libkf5sane-dev (>= 22.04.1~),
                libkf5xmlgui-dev (>= 5.79.0~),
                libpng-dev,
                pkg-kde-tools (>= 0.15.16),

## skanlite 22.04.3

=== debian/changelog ===
skanlite (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:36:57 +0100

skanlite (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:11:39 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libkf5doctools-dev (>= 5.79.0~),
                libkf5i18n-dev (>= 5.79.0~),
                libkf5kio-dev (>= 5.79.0~),
-               libkf5sane-dev (>= 22.04.1~),
+               libkf5sane-dev (>= 22.04.3~),
                libkf5xmlgui-dev (>= 5.79.0~),
                libpng-dev,
                pkg-kde-tools (>= 0.15.16),

## skanlite 22.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "22")
-set (RELEASE_SERVICE_VERSION_MINOR "04")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
 set (RELEASE_SERVICE_VERSION_MICRO "0")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
skanlite (22.12.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Dec 2022 10:42:34 +0000

skanlite (22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * Added myself to the uploaders.
  * New upstream release (22.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:14:53 +0100

skanlite (22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Dec 2022 12:23:20 +0000

skanlite (21.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * CI: enable blhc, as it should work fine now.

 -- Pino Toscano <pino@debian.org>  Sun, 06 Mar 2022 13:06:00 +0100

=== debian/control ===
Source: skanlite
Section: graphics
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Kai Wasserbäch <curan@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5kio-dev (>= 5.90.0~),
               libkf5sane-dev (>= 22.12.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               libksanecore-dev (>= 22.12.0~),
               libpng-dev,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.6.1
Homepage: https://kde.org/applications/graphics/org.kde.skanlite
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skanlite
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skanlite
Rules-Requires-Root: no

Package: skanlite
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: image scanner based on the KSane backend
 Skanlite is a small and simple scanner application which allows easy scanning
 of images with an attached scanner. Through the KSane backend, it can access
 a wide variety of different scanner models.

## skanlite 22.12.1

=== debian/changelog ===
skanlite (22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:08:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: skanlite
 Section: graphics
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Kai Wasserbäch <curan@debian.org>,
            Norbert Preining <norbert@preining.info>,
@@ -14,16 +13,16 @@
                libkf5doctools-dev (>= 5.90.0~),
                libkf5i18n-dev (>= 5.90.0~),
                libkf5kio-dev (>= 5.90.0~),
-               libkf5sane-dev (>= 22.12.0~),
+               libkf5sane-dev (>= 21.08.1~),
                libkf5xmlgui-dev (>= 5.90.0~),
                libksanecore-dev (>= 22.12.0~),
                libpng-dev,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.15.0~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://kde.org/applications/graphics/org.kde.skanlite
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skanlite
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skanlite
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/skanlite.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/skanlite
 Rules-Requires-Root: no
 
 Package: skanlite

## skanlite 22.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "22")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
skanlite (22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:31:34 -0600

skanlite (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:22:23 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: skanlite
 Section: graphics
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Kai Wasserbäch <curan@debian.org>,
            Norbert Preining <norbert@preining.info>,
@@ -13,16 +14,16 @@
                libkf5doctools-dev (>= 5.90.0~),
                libkf5i18n-dev (>= 5.90.0~),
                libkf5kio-dev (>= 5.90.0~),
-               libkf5sane-dev (>= 21.08.1~),
+               libkf5sane-dev (>= 22.12.2~),
                libkf5xmlgui-dev (>= 5.90.0~),
-               libksanecore-dev (>= 22.12.0~),
+               libksanecore-dev (>= 22.12.2~),
                libpng-dev,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.15.0~),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Homepage: https://kde.org/applications/graphics/org.kde.skanlite
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/skanlite.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/skanlite
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skanlite
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skanlite
 Rules-Requires-Root: no
 
 Package: skanlite

## skanlite 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "22")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
skanlite (22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:30 +0100

=== debian/control ===
Source: skanlite
Section: graphics
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Kai Wasserbäch <curan@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5kio-dev (>= 5.90.0~),
               libkf5sane-dev (>= 21.08.1~),
               libkf5xmlgui-dev (>= 5.90.0~),
               libksanecore-dev (>= 22.12.0~),
               libpng-dev,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.6.2
Homepage: https://kde.org/applications/graphics/org.kde.skanlite
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/skanlite.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/skanlite
Rules-Requires-Root: no

Package: skanlite
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: image scanner based on the KSane backend
 Skanlite is a small and simple scanner application which allows easy scanning
 of images with an attached scanner. Through the KSane backend, it can access
 a wide variety of different scanner models.

## skanlite 23.04.2

=== debian/changelog ===
skanlite (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:03:59 +0100

skanlite (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:47:12 +0000

=== debian/control ===
Source: skanlite
Section: graphics
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Kai Wasserbäch <curan@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5kio-dev (>= 5.90.0~),
               libkf5sane-dev (>= 23.04.2~),
               libkf5xmlgui-dev (>= 5.90.0~),
               libksanecore-dev (>= 23.04.2~),
               libpng-dev,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.6.1
Homepage: https://kde.org/applications/graphics/org.kde.skanlite
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skanlite
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skanlite
Rules-Requires-Root: no

Package: skanlite
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: image scanner based on the KSane backend
 Skanlite is a small and simple scanner application which allows easy scanning
 of images with an attached scanner. Through the KSane backend, it can access
 a wide variety of different scanner models.

## skanlite 23.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "22")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MAJOR "23")
+set (RELEASE_SERVICE_VERSION_MINOR "04")
 set (RELEASE_SERVICE_VERSION_MICRO "3")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
@@ -12,10 +12,10 @@
 project(skanlite VERSION ${RELEASE_SERVICE_VERSION})
 
 set(REQUIRED_QT_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.90.0")
+set(KF_MIN_VERSION "5.90.0")
 
 # ECM setup (Extended Cmake Modules)
-find_package(ECM ${KF5_MIN_VERSION} QUIET REQUIRED NO_MODULE)
+find_package(ECM ${KF_MIN_VERSION} QUIET REQUIRED NO_MODULE)
 # ECM setup2 and include find same cmake module (copied from /usr/share/kde4/apps/cmake/modules/FindSane.cmake)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake-modules)
 
@@ -32,6 +32,14 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMInstallIcons)
 
+if (QT_MAJOR_VERSION STREQUAL "6")
+    set(QT_REQUIRED_VERSION "6.4.0")
+    set(KF_MIN_VERSION "5.240.0")
+    set(KF_MAJOR_VERSION "6")
+else()
+    set(KF_MAJOR_VERSION "5")
+endif()
+
 ecm_setup_version(
   ${SKANLITE_VERSION_STRING}
   VARIABLE_PREFIX SKANLITE
@@ -41,7 +49,7 @@
 # Dependencies
 find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Core Widgets)
 
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
+find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
         CoreAddons # KAboutData
         I18n
         KIO # contains the KIOWidgets which we use in target_link_libraries
@@ -51,8 +59,8 @@
     find_package(Qt6Core5Compat)
 endif()
 
-find_package(KF5DocTools ${KF5_MIN_VERSION})  # yields kdoctools_create_handbook
-set_package_properties(KF5DocTools PROPERTIES DESCRIPTION
+find_package(KF${KF_MAJOR_VERSION}DocTools ${KF_MIN_VERSION})  # yields kdoctools_create_handbook
+set_package_properties(KF${KF_MAJOR_VERSION}DocTools PROPERTIES DESCRIPTION
     "Tools to generate documentation"
     TYPE OPTIONAL
 )
@@ -70,7 +78,7 @@
 add_subdirectory(src)
 
 ki18n_install(po)
-if (KF5DocTools_FOUND)
+if (KF${KF_MAJOR_VERSION}DocTools_FOUND)
     kdoctools_install(po)
     add_subdirectory(doc)
 endif()

=== autotests/CMakeLists.txt ===
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)

include(ECMMarkAsTest)

macro(skanlite_tests)
  foreach(_testname ${ARGN})
    add_executable(${_testname} ${_testname}.cpp)
    target_link_libraries(${_testname} Qt${QT_MAJOR_VERSION}::Test KF5skanlite)
    add_test(skanlite-${_testname} ${_testname})
    ecm_mark_as_test(${_testname})
  endforeach(_testname)
endmacro()

#skanlite_tests(
#  skanlitetest
#)

=== debian/changelog ===
skanlite (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:59:12 +0100

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
                libkf5doctools-dev (>= 5.90.0~),
                libkf5i18n-dev (>= 5.90.0~),
                libkf5kio-dev (>= 5.90.0~),
-               libkf5sane-dev (>= 23.04.2~),
+               libkf5sane-dev (>= 23.04.3~),
                libkf5xmlgui-dev (>= 5.90.0~),
-               libksanecore-dev (>= 23.04.2~),
+               libksanecore-dev (>= 23.04.3~),
                libpng-dev,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.15.0~),

## skanlite 23.08.0

=== debian/changelog ===
skanlite (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 13:03:04 +0100

skanlite (23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:42:29 +0100

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
                libkf5doctools-dev (>= 5.90.0~),
                libkf5i18n-dev (>= 5.90.0~),
                libkf5kio-dev (>= 5.90.0~),
-               libkf5sane-dev (>= 23.04.3~),
+               libkf5sane-dev (>= 23.08.0~),
                libkf5xmlgui-dev (>= 5.90.0~),
-               libksanecore-dev (>= 23.04.3~),
+               libksanecore-dev (>= 23.08.0~),
                libpng-dev,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.15.0~),

## skanlite 23.08.1

=== debian/changelog ===
skanlite (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:08:11 +0100

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
                libkf5doctools-dev (>= 5.90.0~),
                libkf5i18n-dev (>= 5.90.0~),
                libkf5kio-dev (>= 5.90.0~),
-               libkf5sane-dev (>= 23.08.0~),
+               libkf5sane-dev (>= 23.08.1~),
                libkf5xmlgui-dev (>= 5.90.0~),
-               libksanecore-dev (>= 23.08.0~),
+               libksanecore-dev (>= 23.08.1~),
                libpng-dev,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.15.0~),

## skanlite 23.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "23")
-set (RELEASE_SERVICE_VERSION_MINOR "04")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
skanlite (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:41:11 +0100

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
                libkf5doctools-dev (>= 5.90.0~),
                libkf5i18n-dev (>= 5.90.0~),
                libkf5kio-dev (>= 5.90.0~),
-               libkf5sane-dev (>= 23.08.1~),
+               libkf5sane-dev (>= 23.08.2~),
                libkf5xmlgui-dev (>= 5.90.0~),
-               libksanecore-dev (>= 23.08.1~),
+               libksanecore-dev (>= 23.08.2~),
                libpng-dev,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.15.0~),

## skanlite 23.08.3

=== debian/changelog ===
skanlite (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:44:50 +0000

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
                libkf5doctools-dev (>= 5.90.0~),
                libkf5i18n-dev (>= 5.90.0~),
                libkf5kio-dev (>= 5.90.0~),
-               libkf5sane-dev (>= 23.08.2~),
+               libkf5sane-dev (>= 23.08.3~),
                libkf5xmlgui-dev (>= 5.90.0~),
-               libksanecore-dev (>= 23.08.2~),
+               libksanecore-dev (>= 23.08.3~),
                libpng-dev,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.15.0~),

## skanlite 23.08.4

=== debian/changelog ===
skanlite (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:24:23 +0000

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
                libkf5doctools-dev (>= 5.90.0~),
                libkf5i18n-dev (>= 5.90.0~),
                libkf5kio-dev (>= 5.90.0~),
-               libkf5sane-dev (>= 23.08.3~),
+               libkf5sane-dev (>= 23.08.4~),
                libkf5xmlgui-dev (>= 5.90.0~),
-               libksanecore-dev (>= 23.08.3~),
+               libksanecore-dev (>= 23.08.4~),
                libpng-dev,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.15.0~),

## skanlite 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "23")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MICRO "5")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -24,15 +24,15 @@
 
 target_link_libraries(skanlite
   PUBLIC
-    Qt5::Core
+    Qt${QT_MAJOR_VERSION}::Core
   PRIVATE
-    KF5::CoreAddons
+    KF${KF_MAJOR_VERSION}::CoreAddons
     KF5::Sane
-    KF5::I18n
-    KF5::XmlGui
-    KF5::KIOWidgets
+    KF${KF_MAJOR_VERSION}::I18n
+    KF${KF_MAJOR_VERSION}::XmlGui
+    KF${KF_MAJOR_VERSION}::KIOWidgets
 )
 
-install(TARGETS skanlite ${INSTALL_TARGETS_DEFAULT_ARGS})
-install(PROGRAMS org.kde.skanlite.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
+install(TARGETS skanlite ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
+install(PROGRAMS org.kde.skanlite.desktop DESTINATION ${KDE_INSTALL_APPDIR})
 install( FILES org.kde.skanlite.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== debian/changelog ===
skanlite (23.08.5-0ubuntu4) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64, libqt5widgets5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:50:12 +0200

skanlite (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:13:45 +0000

skanlite (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:07:49 +0000

skanlite (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:32:50 -0700

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
                libkf5doctools-dev (>= 5.90.0~),
                libkf5i18n-dev (>= 5.90.0~),
                libkf5kio-dev (>= 5.90.0~),
-               libkf5sane-dev (>= 23.08.4~),
+               libkf5sane-dev (>= 23.08.5~),
                libkf5xmlgui-dev (>= 5.90.0~),
-               libksanecore-dev (>= 23.08.4~),
+               libksanecore-dev (>= 23.08.5~),
                libpng-dev,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.15.0~),

## skanlite 24.08.2

=== debian/changelog ===
skanlite (24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 17 Oct 2024 11:59:51 -0500

skanlite (24.08.2-1) experimental; urgency=medium

  [ Jesse Rhodes ]
  * New upstream release (24.05.2).
  * Update build-deps with info from cmake.
  * Use dh-sequence-kf6.
  * Specify building with QT6.
  * Update Standards-Version to 4.7.0 (no changes needed).
  * Override lintian W: no-manual-page.
  * Refresh copyright info.

  [ Aurélien COUDERC ]
  * Actually use dh-sequence-kf6.
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 16 Oct 2024 22:51:36 +0200

=== debian/control ===
Source: skanlite
Section: graphics
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Kai Wasserbäch <curan@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6doctools-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6kio-dev (>= 5.240.0~),
               libkf6xmlgui-dev (>= 5.240.0~),
               libksane-dev (>= 24.08~),
               libpng-dev,
               qt6-base-dev (>= 6.4.0~),
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/skanlite
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skanlite
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skanlite
Rules-Requires-Root: no

Package: skanlite
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: image scanner based on the KSane backend
 Skanlite is a small and simple scanner application which allows easy scanning
 of images with an attached scanner. Through the KSane backend, it can access
 a wide variety of different scanner models.

## skanlite 24.12.0

=== debian/changelog ===
skanlite (24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Dec 2024 16:20:54 +0100

skanlite (23.04.3-1) UNRELEASED; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (23.04.3).
  * Update build-deps and deps with the info from cmake.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 16 Jul 2023 10:59:19 +0200

=== debian/control ===
Source: skanlite
Section: graphics
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Kai Wasserbäch <curan@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               libksane-dev (>= 24.08~),
               libpng-dev,
               qt6-base-dev (>= 6.4.0~),
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/skanlite
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/skanlite.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/skanlite
Rules-Requires-Root: no

Package: skanlite
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: image scanner based on the KSane backend
 Skanlite is a small and simple scanner application which allows easy scanning
 of images with an attached scanner. Through the KSane backend, it can access
 a wide variety of different scanner models.

## skanlite 24.12.1

=== debian/changelog ===
skanlite (24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:41:44 +0000

skanlite (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:26:23 +0000

skanlite (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:17:13 +0000

skanlite (24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)
  * New build depend on libkf6crash-dev

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 08:16:09 +0000

skanlite (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:49:09 +0000

=== debian/control ===
Source: skanlite
Section: graphics
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Kai Wasserbäch <curan@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6crash-dev,
               libkf6doctools-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6kio-dev (>= 5.240.0~),
               libkf6xmlgui-dev (>= 5.240.0~),
               libksane-dev (>= 24.12.1~),
               libpng-dev,
               qt6-base-dev (>= 6.4.0~),
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/skanlite
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skanlite
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skanlite
Rules-Requires-Root: no

Package: skanlite
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: image scanner based on the KSane backend
 Skanlite is a small and simple scanner application which allows easy scanning
 of images with an attached scanner. Through the KSane backend, it can access
 a wide variety of different scanner models.

## skanlite 24.12.2

=== debian/changelog ===
skanlite (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:24:44 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf6i18n-dev (>= 5.240.0~),
                libkf6kio-dev (>= 5.240.0~),
                libkf6xmlgui-dev (>= 5.240.0~),
-               libksane-dev (>= 24.12.1~),
+               libksane-dev (>= 24.12.2~),
                libpng-dev,
                qt6-base-dev (>= 6.4.0~),
 Standards-Version: 4.7.0
